Bug 1249481 - [GSS] (6.1.z) Guided Editor rewrites method call in RHS to a setter call
[GSS] (6.1.z) Guided Editor rewrites method call in RHS to a setter call
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity unspecified
: CR1
: 6.1.0
Assigned To: Toni Rikkola
Jiri Locker
:
Depends On: 1249077
Blocks: 1249859 bpms6.1.3-payload
  Show dependency treegraph
 
Reported: 2015-08-03 03:04 EDT by Anton Giertli
Modified: 2015-09-04 05:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1249077
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[0] Customer's description (146.92 KB, application/pdf)
2015-08-03 03:05 EDT, Anton Giertli
no flags Details
[1] git repo (87.47 KB, application/zip)
2015-08-12 08:16 EDT, Anton Giertli
no flags Details
[3] model jar (3.59 KB, application/zip)
2015-08-12 08:16 EDT, Anton Giertli
no flags Details

  None (edit)
Comment 1 Anton Giertli 2015-08-03 03:05:13 EDT
Created attachment 1058661 [details]
[0] Customer's description
Comment 3 Toni Rikkola 2015-08-12 06:58:50 EDT
I tried this with the latest and I can not reproduce.
Comment 4 Kris Verlaenen 2015-08-12 08:03:21 EDT
Has GSS been able to reproduce this? If so, on which version?
Comment 5 Anton Giertli 2015-08-12 08:16:20 EDT
Created attachment 1061925 [details]
[1] git repo
Comment 6 Anton Giertli 2015-08-12 08:16:43 EDT
Created attachment 1061926 [details]
[3] model jar
Comment 7 Anton Giertli 2015-08-12 08:19:04 EDT
Hi,

I have reproduce this just now with BRMS 6.1.2

 - Import the attached git repo
 - Open "demo-app" project and Decision Table named "decision_table_limited_entry" 
 - Check the source code of the table - specifically RHS
 - Navigate to Decision Table - > Action Column - > [click edit] Strategy
 - Check the source code of the table - specifically RHS - it is changed as explained in the initial case description

Let me know if additional clarification is needed.
Comment 10 Toni Rikkola 2015-08-13 08:39:46 EDT
Ok, no longer works one my computer. Thanks Anton for the details.
Comment 13 Jiri Locker 2015-09-04 05:57:41 EDT
Test added on master and 6.3.x https://github.com/droolsjbpm/drools-wb/pull/58

Note You need to log in before you can comment on or make changes to this bug.